/*
 * Copyright 2018 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M0P */

#define IOCON_PIO_CLKDIV0 0x00u      /*!<@brief IOCONCLKDIV0 */
#define IOCON_PIO_HYS_DI 0x00u       /*!<@brief Disable hysteresis */
#define IOCON_PIO_INV_DI 0x00u       /*!<@brief Input not invert */
#define IOCON_PIO_MODE_PULLUP 0x10u  /*!<@brief Selects pull-up function */
#define IOCON_PIO_OD_DI 0x00u        /*!<@brief Disables Open-drain function */
#define IOCON_PIO_SMODE_BYPASS 0x00u /*!<@brief Bypass input filter */

/*! @name PIO0_16 (number 10), P1[14]/J1[9]/P2[44]/D1[3]/PIO0_16-BLUE
  @{ */
/*!
 * @brief Device name: GPIO */
#define BOARD_INITLEDSPINS_LED_BLUE_PERIPHERAL GPIO
/*!
 * @brief GPIO signal: PIO0 */
#define BOARD_INITLEDSPINS_LED_BLUE_SIGNAL PIO0
/*!
 * @brief GPIO device name: GPIO */
#define BOARD_INITLEDSPINS_LED_BLUE_GPIO GPIO
/*!
 * @brief PIO0 pin index: 16 */
#define BOARD_INITLEDSPINS_LED_BLUE_GPIO_PIN 16U
/*!
 * @brief PORT device name: 0U */
#define BOARD_INITLEDSPINS_LED_BLUE_PORT 0U
/*!
 * @brief 0U pin index: 16 */
#define BOARD_INITLEDSPINS_LED_BLUE_PIN 16U
/*!
 * @brief GPIO PIO0 channel: 16 */
#define BOARD_INITLEDSPINS_LED_BLUE_CHANNEL 16
/*!
 * @brief Pin name */
#define BOARD_INITLEDSPINS_LED_BLUE_PIN_NAME PIO0_16
/*!
 * @brief Label */
#define BOARD_INITLEDSPINS_LED_BLUE_LABEL "P1[14]/J1[9]/P2[44]/D1[3]/PIO0_16-BLUE"
/*!
 * @brief Identifier name */
#define BOARD_INITLEDSPINS_LED_BLUE_NAME "LED_BLUE"
/*!
 * @brief Direction */
#define BOARD_INITLEDSPINS_LED_BLUE_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*! @name PIO0_17 (number 1), P1[12]/J1[10]/P2[43]/D1[4]/PIO0_17-GREEN
  @{ */
/*!
 * @brief Device name: GPIO */
#define BOARD_INITLEDSPINS_LED_GREEN_PERIPHERAL GPIO
/*!
 * @brief GPIO signal: PIO0 */
#define BOARD_INITLEDSPINS_LED_GREEN_SIGNAL PIO0
/*!
 * @brief GPIO device name: GPIO */
#define BOARD_INITLEDSPINS_LED_GREEN_GPIO GPIO
/*!
 * @brief PIO0 pin index: 17 */
#define BOARD_INITLEDSPINS_LED_GREEN_GPIO_PIN 17U
/*!
 * @brief PORT device name: 0U */
#define BOARD_INITLEDSPINS_LED_GREEN_PORT 0U
/*!
 * @brief 0U pin index: 17 */
#define BOARD_INITLEDSPINS_LED_GREEN_PIN 17U
/*!
 * @brief GPIO PIO0 channel: 17 */
#define BOARD_INITLEDSPINS_LED_GREEN_CHANNEL 17
/*!
 * @brief Pin name */
#define BOARD_INITLEDSPINS_LED_GREEN_PIN_NAME PIO0_17
/*!
 * @brief Label */
#define BOARD_INITLEDSPINS_LED_GREEN_LABEL "P1[12]/J1[10]/P2[43]/D1[4]/PIO0_17-GREEN"
/*!
 * @brief Identifier name */
#define BOARD_INITLEDSPINS_LED_GREEN_NAME "LED_GREEN"
/*!
 * @brief Direction */
#define BOARD_INITLEDSPINS_LED_GREEN_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*! @name PIO0_7 (number 17), P1[13]/J2[1]/P2[45]/D1[1]/PIO0_7-RED
  @{ */
/*!
 * @brief Device name: GPIO */
#define BOARD_INITLEDSPINS_LED_RED_PERIPHERAL GPIO
/*!
 * @brief GPIO signal: PIO0 */
#define BOARD_INITLEDSPINS_LED_RED_SIGNAL PIO0
/*!
 * @brief GPIO device name: GPIO */
#define BOARD_INITLEDSPINS_LED_RED_GPIO GPIO
/*!
 * @brief PIO0 pin index: 7 */
#define BOARD_INITLEDSPINS_LED_RED_GPIO_PIN 7U
/*!
 * @brief PORT device name: 0U */
#define BOARD_INITLEDSPINS_LED_RED_PORT 0U
/*!
 * @brief 0U pin index: 7 */
#define BOARD_INITLEDSPINS_LED_RED_PIN 7U
/*!
 * @brief GPIO PIO0 channel: 7 */
#define BOARD_INITLEDSPINS_LED_RED_CHANNEL 7
/*!
 * @brief Pin name */
#define BOARD_INITLEDSPINS_LED_RED_PIN_NAME PIO0_7
/*!
 * @brief Label */
#define BOARD_INITLEDSPINS_LED_RED_LABEL "P1[13]/J2[1]/P2[45]/D1[1]/PIO0_7-RED"
/*!
 * @brief Identifier name */
#define BOARD_INITLEDSPINS_LED_RED_NAME "LED_RED"
/*!
 * @brief Direction */
#define BOARD_INITLEDSPINS_LED_RED_DIRECTION kPIN_MUX_DirectionOutput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void); /* Function assigned for the Cortex-M0P */

#define IOCON_PIO_CLKDIV0 0x00u      /*!<@brief IOCONCLKDIV0 */
#define IOCON_PIO_HYS_DI 0x00u       /*!<@brief Disable hysteresis */
#define IOCON_PIO_INV_DI 0x00u       /*!<@brief Input not invert */
#define IOCON_PIO_MODE_PULLUP 0x10u  /*!<@brief Selects pull-up function */
#define IOCON_PIO_OD_DI 0x00u        /*!<@brief Disables Open-drain function */
#define IOCON_PIO_SMODE_BYPASS 0x00u /*!<@brief Bypass input filter */

/*! @name PIO0_6 (number 18), P2[13]/J2[6]/TARGET_TX-PIO0_6
  @{ */
/*!
 * @brief Device name: USART0 */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PERIPHERAL USART0
/*!
 * @brief USART0 signal: TXD */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_SIGNAL TXD
/*!
 * @brief PORT device name: 0U */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PORT 0U
/*!
 * @brief 0U pin index: 6 */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PIN 6U
/*!
 * @brief Pin name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PIN_NAME PIO0_6
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_LABEL "P2[13]/J2[6]/TARGET_TX-PIO0_6"
/*!
 * @brief Identifier name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_NAME "DEBUG_UART_TX"
/* @} */

/*! @name PIO0_1 (number 12), U4[13]/TARGET_RX-PIO0_1
  @{ */
/*!
 * @brief Device name: USART0 */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PERIPHERAL USART0
/*!
 * @brief USART0 signal: RXD */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_SIGNAL RXD
/*!
 * @brief PORT device name: 0U */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PORT 0U
/*!
 * @brief 0U pin index: 1 */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PIN 1U
/*!
 * @brief Pin name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PIN_NAME PIO0_1
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_LABEL "U4[13]/TARGET_RX-PIO0_1"
/*!
 * @brief Identifier name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_NAME "DEBUG_UART_RX"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void); /* Function assigned for the Cortex-M0P */

#define IOCON_PIO_CLKDIV0 0x00u      /*!<@brief IOCONCLKDIV0 */
#define IOCON_PIO_HYS_DI 0x00u       /*!<@brief Disable hysteresis */
#define IOCON_PIO_INV_DI 0x00u       /*!<@brief Input not invert */
#define IOCON_PIO_MODE_PULLUP 0x10u  /*!<@brief Selects pull-up function */
#define IOCON_PIO_OD_DI 0x00u        /*!<@brief Disables Open-drain function */
#define IOCON_PIO_SMODE_BYPASS 0x00u /*!<@brief Bypass input filter */

/*! @name SWCLK (number 6), P3[4]/P2[24]/U2[16]/TARGET_SWCLK-PIO0_3
  @{ */
/*!
 * @brief Device name: SWD */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWCLK_PERIPHERAL SWD
/*!
 * @brief SWD signal: SWCLK */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWCLK_SIGNAL SWCLK
/*!
 * @brief Pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWCLK_PIN_NAME SWCLK
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWCLK_LABEL "P3[4]/P2[24]/U2[16]/TARGET_SWCLK-PIO0_3"
/*!
 * @brief Identifier name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWCLK_NAME "DEBUG_SWD_SWCLK"
/* @} */

/*! @name SWDIO (number 7), P3[2]/P2[19]/U2[17]/TARGET_SWDIO-PIO0_2
  @{ */
/*!
 * @brief Device name: SWD */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_PERIPHERAL SWD
/*!
 * @brief SWD signal: SWDIO */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_SIGNAL SWDIO
/*!
 * @brief Pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_PIN_NAME SWDIO
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_LABEL "P3[2]/P2[19]/U2[17]/TARGET_SWDIO-PIO0_2"
/*!
 * @brief Identifier name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_NAME "DEBUG_SWD_SWDIO"
/* @} */

/*! @name RESETN (number 4), P3[10]/U4[3]/J8[3]/P2[4]/U2[3]/SW1[1]/TARGET_nRESET-PIO0_5
  @{ */
/*!
 * @brief Device name: SYSCON */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_RESETN_PERIPHERAL SYSCON
/*!
 * @brief SYSCON signal: RESETN */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_RESETN_SIGNAL RESETN
/*!
 * @brief Pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_RESETN_PIN_NAME RESETN
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_RESETN_LABEL "P3[10]/U4[3]/J8[3]/P2[4]/U2[3]/SW1[1]/TARGET_nRESET-PIO0_5"
/*!
 * @brief Identifier name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_RESETN_NAME "DEBUG_SWD_RESETN"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUGPins(void); /* Function assigned for the Cortex-M0P */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
